<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Symfony\Component\HttpFoundation\Response;

class PDFController extends Controller
{
    public function downloadBoleto($num_registro)
    {
        $boleto = DB::connection('oracle')->table('TAB_FLUXO_BOLETO')->where('NUM_REGISTRO', $num_registro)->first();

        if (!$boleto || empty($boleto->pdf_boleto)) {
            return redirect()->back()->with('error', 'Boleto não encontrado ou conteúdo do PDF inválido');
        }

        $content = $boleto->pdf_boleto;

        return response()->make($content, Response::HTTP_OK, [
            'Content-Type' => 'application/pdf',
            'Content-Disposition' => "attachment; filename=boleto_{$num_registro}.pdf"
        ]);
    }

    public function downloadNotaFiscal($numNotaFiscal, $numSerieNf)
    {
        $notaFiscal = DB::connection('oracle')
            ->table('TAB_CLIENTE_NOTA')
            ->where('NUM_NF_CLI', $numNotaFiscal)
            ->where('NUM_SERIE_NF', $numSerieNf)
            ->first();

        if (!$notaFiscal || empty($notaFiscal->danfe_nfse)) {
            return redirect()->back()->with('error', 'Nota Fiscal não encontrada ou conteúdo do PDF inválido');
        }

        $content = $notaFiscal->danfe_nfse;

        return response()->make($content, Response::HTTP_OK, [
            'Content-Type' => 'application/pdf',
            'Content-Disposition' => "attachment; filename=nota_fiscal_{$numNotaFiscal}.pdf"
        ]);
    }
}
