<x-guest-layout>
    <form method="POST" action="{{ route('register') }}">
        @csrf

        <!-- Name -->
        <div>
            <x-input-label for="cnpj" :value="__('CNPJ')" />
            <x-text-input maxlength="14" id="cnpj" class="block w-full mt-1" type="text" name="cnpj" :value="old('cnpj')" required autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('cnpj')" class="mt-2" />
        </div>
        <div>
            <x-input-label for="razao_social" :value="__('Razão Social')" />
            <x-text-input id="razao_social" class="block w-full mt-1" type="text" name="razao_social" :value="old('razao_social')" required autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('razao_social')" class="mt-2" />
        </div>

        <div>
            <x-input-label for="telefone" :value="__('Celular')" />
            <x-text-input maxlength="14" id="telefone" class="block w-full mt-1" type="text" name="telefone" :value="old('telefone')" required autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('telefone')" class="mt-2" />
        </div>


        <!-- Email Address -->
        <div class="mt-4">
            <x-input-label for="email" :value="__('Email')" />
            <x-text-input id="email" class="block w-full mt-1" type="email" name="email" :value="old('email')" required autocomplete="username" />
            <x-input-error :messages="$errors->get('email')" class="mt-2" />
        </div>

        <!-- Password -->
        <div class="mt-4">
            <x-input-label for="password" :value="__('Senha')" />

            <x-text-input id="password" class="block w-full mt-1"
                            type="password"
                            name="password"
                            required autocomplete="new-password" />

            <x-input-error :messages="$errors->get('password')" class="mt-2" />
        </div>

        <!-- Confirm Password -->
        <div class="mt-4">
            <x-input-label for="password_confirmation" :value="__('Confirmar Senha')" />

            <x-text-input id="password_confirmation" class="block w-full mt-1"
                            type="password"
                            name="password_confirmation" required autocomplete="new-password" />

            <x-input-error :messages="$errors->get('password_confirmation')" class="mt-2" />
        </div>

        <div class="flex items-center justify-end mt-4">
            <a class="text-sm text-gray-600 underline rounded-md dark:text-gray-400 hover:text-gray-900 dark:hover:text-gray-100 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-orange-500 dark:focus:ring-offset-gray-800" href="{{ route('login') }}">
                {{ __('Já tem conta?') }}
            </a>

            <x-primary-button class="ms-4">
                {{ __('Cadastrar') }}
            </x-primary-button>
        </div>
    </form>
</x-guest-layout>

<script>
    $(document).ready(function() {
        $('#cnpj').mask('00.000.000/0000-00');
    });
</script>

<script>
    $(document).ready(function () {
        $('#telefone').mask('(00) 00000-0000');
    });
</script>