<x-app-layout>
    <x-slot name="header">
        <h2 class="text-xl font-semibold leading-tight text-gray-800 dark:text-gray-200">
            {{ __('Dashboard') }}
        </h2>
    </x-slot>
    <div class="py-6">
        <div class="mx-auto max-w-7xl sm:px-4">
        @if ($cnpjconveniados)
                <form id="filterForm" class="flex items-center mb-4 space-x-2" action="{{ route('dashboard') }}" method="GET">
                    <select name="associado" id="associado"
                        class="block text-sm text-gray-900 border border-gray-300 rounded-lg cursor-pointer bg-gray-50 focus:ring-orange-500 py-1.5 focus:border-orange-500 pe-6 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-orange-500 dark:focus:border-orange-500">
                        <option value="">Selecione</option>
                        @foreach ($cnpjconveniados as $cnpj)
                            <option value="{{ $cnpj }}" {{ request()->input('associado') == $cnpj ? 'selected' : '' }}>
                                {{ $cnpj }}
                            </option>
                        @endforeach
                    </select>
                    <button type="submit" id="filterButton"
                        class="px-2 py-1.5 text-sm font-semibold text-white bg-orange-500 rounded hover:bg-orange-600 focus:outline-none focus:bg-orange-600">
                        Filtrar
                    </button>
                </form>
            @endif
            @if ($boletos->isEmpty())
                <div class="text-center text-gray-500 dark:text-gray-400 text-lg">
                    Selecione um conveniado válido para visualizar os boletos e notas.
                </div>
            @else
            <div class="overflow-hidden bg-white shadow-sm dark:bg-gray-800 sm:rounded-lg">
                <div class="flex flex-col">
                    <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
                        <div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
                            <div class="overflow-hidden">
                                @if ($boletosVencidos)
                                    <div class="flex items-center p-4 mb-4 text-sm text-red-800 border border-red-300 rounded-lg bg-red-50 dark:bg-gray-800 dark:text-red-400 dark:border-red-800"
                                        role="alert">
                                        <svg class="flex-shrink-0 inline w-4 h-4 me-3" aria-hidden="true"
                                            xmlns="http://www.w3.org/2000/svg" fill="currentColor" viewBox="0 0 20 20">
                                            <path
                                                d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z" />
                                        </svg>
                                        <span class="sr-only">Info</span>
                                        <div>
                                            <span class="font-medium">Atenção!</span> Existem boletos vencidos.
                                        </div>
                                    </div>
                                @endif
                                @if (session('error'))
                                    <div id="error-message"
                                        class="relative px-4 py-3 mb-5 text-red-700 bg-red-100 border border-red-400 rounded"
                                        role="alert">
                                        <strong class="font-bold">Erro!</strong>
                                        <span class="block sm:inline">{{ session('error') }}</span>
                                    </div>
                                @endif
                                <table
                                    class="w-full text-sm text-left text-gray-600 shadow-md dark:text-gray-400 rtl:text-right">
                                    <thead class="text-xs text-white uppercase bg-orange-400 dark:bg-gray-700">
                                        <tr>
                                            <th scope="col" class="px-6 py-3 rounded-tl-lg">BENEFICIÁRIO</th>
                                            <th scope="col" class="px-6 py-3">NÚMERO DA NOTA</th>
                                            <th scope="col" class="px-6 py-3">DATA DE EMISSÃO</th>
                                            <th scope="col" class="px-6 py-3">DATA DE VENCIMENTO</th>
                                            <th scope="col" class="px-6 py-3">VALOR</th>
                                            <th scope="col" class="px-6 py-3">STATUS</th>
                                            <th scope="col" class="px-6 py-3">BOLETO</th>
                                            <th scope="col" class="px-6 py-3 rounded-tr-lg">NOTA FISCAL</th>
                                        </tr>
                                    </thead>
                                    <tbody class="dark:bg-gray-800">
                                        @forelse ($boletos as $boleto)
                                            <tr
                                                class="border-b odd:bg-gray-100 even:bg-gray-300 odd:dark:bg-gray-700 even:dark:bg-gray-600">
                                                <th scope="row"
                                                    class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-gray-100">
                                                    {{ $boleto->beneficiario }}
                                                </th>
                                                <td class="px-6 py-4">
                                                    {{ $boleto->numero_nota }}
                                                </td>
                                                <td class="px-6 py-4">
                                                    {{ \Carbon\Carbon::parse($boleto->data_emissao)->format('d/m/Y') }}
                                                </td>
                                                <td class="px-6 py-4">
                                                    {{ \Carbon\Carbon::parse($boleto->data_vencimento)->format('d/m/Y') }}
                                                </td>
                                                <td class="px-6 py-4">
                                                    {{ number_format($boleto->valor, 2, ',', '.') }}
                                                </td>
                                                <td class="flex items-center px-6 py-4">
                                                    <span class="flex items-center">
                                                        @if ($boleto->status === 'S')
                                                            <span
                                                                class="bg-green-200 text-green-500 text-xs font-medium inline-flex items-center px-2.5 py-0.5 rounded border border-green-400 dark:bg-green-700 dark:text-green-200">
                                                                Pago
                                                            </span>
                                                        @elseif ($boleto->status === 'N')
                                                            <span
                                                                class="bg-red-200 text-red-800 text-xs font-medium inline-flex items-center px-2.5 py-0.5 rounded border border-red-400 dark:bg-red-700 dark:text-red-300">
                                                                Aberto
                                                            </span>
                                                        @endif
                                                    </span>
                                                </td>
                                                <td class="px-6 py-4 text-center">
                                                    @if ($boleto->status === 'N')
                                                        <a href="{{ route('boleto.download', ['numregistro' => $boleto->num_registro]) }}"
                                                            class="px-4 py-2 text-xs font-bold text-orange-400 transition-colors border border-orange-400 rounded hover:bg-orange-400 hover:text-white focus:outline-none focus:shadow-outline dark:text-white dark:bg-orange-500 dark:hover:bg-orange-400 dark:border-orange-400">
                                                            Baixar
                                                        </a>
                                                    @endif
                                                </td>

                                                <td class="px-6 py-4 text-center" x-data="downloadNotaFiscal">
                                                    <a href="{{ route('nota.download', ['numNotaFiscal' => $boleto->numero_nota, 'numSerieNf' => $boleto->num_serie_nf]) }}"
                                                        class="px-4 py-2 text-xs font-bold text-green-500 transition-colors border border-green-500 rounded hover:bg-green-500 hover:text-white focus:outline-none focus:shadow-outline dark:border-green-600 dark:text-white dark:bg-green-600 dark:hover:bg-green-500"
                                                        @click.prevent="download($event)">
                                                        Baixar
                                                    </a>
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="8"
                                                    class="py-4 text-center rounded-bl-lg dark:text-gray-100">
                                                    Não foram encontradas informações desse CNPJ!
                                                </td>
                                            </tr>
                                        @endforelse
                                    </tbody>
                                    <tfoot class="bg-white dark:bg-gray-700">
                                        <tr>
                                            <td colspan="8" class="py-4 rounded-bl-lg rounded-br-lg"></td>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            @endif
        </div>
    </div>
</x-app-layout>
@if (session('error'))
    <script>
        // Quando o documento estiver pronto
        document.addEventListener('DOMContentLoaded', function() {
            // Defina um timeout para ocultar a mensagem de erro após 5 segundos (5000 milissegundos)
            setTimeout(function() {
                var errorMessage = document.getElementById('error-message');
                if (errorMessage) {
                    errorMessage.style.display = 'none';
                }
            }, 5000);
        });
    </script>
@endif
<script>
    function downloadNotaFiscal() {
        return {
            async download(event) {
                const url = event.target.href;

                try {
                    const response = await fetch(url);
                    const contentType = response.headers.get('Content-Type');

                    if (contentType.includes('application/json')) {
                        const data = await response.json();
                        if (data.link) {
                            window.open(data.link, '_blank');
                        } else {
                            alert('Nota Fiscal não encontrada ou conteúdo do PDF inválido.');
                        }
                    } else {
                        const blob = await response.blob();
                        const link = document.createElement('a');
                        link.href = window.URL.createObjectURL(blob);
                        link.download = "nota_fiscal.pdf";
                        link.click();
                    }
                } catch (error) {
                    alert('Erro ao baixar a Nota Fiscal.');
                }
            }
        };
    }
    function disableButtons() {
        var filterButton = document.getElementById('filterButton');
        var clearButton = document.getElementById('clearButton');

        filterButton.disabled = true;
        filterButton.innerHTML = '<svg class="animate-spin h-5 w-5 text-white" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"><circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4"></circle><path class="opacity-75" fill="currentColor" d="M4 12a8 8 0 018-8v8H4z"></path></svg>';

        if (clearButton) {
            clearButton.innerHTML = '<svg class="animate-spin h-5 w-5 text-white" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"><circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="4"></circle><path class="opacity-75" fill="currentColor" d="M4 12a8 8 0 018-8v8H4z"></path></svg>';
            clearButton.style.pointerEvents = 'none'; // Disable click events for the link
        }
    }

    document.getElementById('filterForm').addEventListener('submit', function() {
        disableButtons();
    });

    var clearButton = document.getElementById('clearButton');
    if (clearButton) {
        clearButton.addEventListener('click', function(event) {
            event.preventDefault(); // Prevent default link behavior
            disableButtons();
            window.location.href = clearButton.href; // Proceed with navigation after disabling buttons
        });
    }
</script>
