<?php

use App\Http\Controllers\FinanceiroController;
use App\Http\Controllers\PDFController;
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/


    Route::get('/', function () {
        return auth()->check() ? redirect('/dashboard') : redirect('/login');
    });
    // Route::get('/dashboard', function () {
    //     return view('dashboard');
    // })->middleware(['auth', 'verified'])->name('dashboard');
    Route::get('/dashboard', [FinanceiroController::class, 'index'])
        ->middleware(['auth', 'verified'])
        ->name('dashboard');
    
    Route::middleware('auth')->group(function () {
        Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
        Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
        Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
        Route::get('/nota/{numNotaFiscal}/{numSerieNf}', [PDFController::class, 'downloadNotaFiscal'])->name('nota.download');
        Route::get('/boleto/{numregistro}', [PDFController::class, 'downloadBoleto'])->name('boleto.download');
    });

require __DIR__.'/auth.php';
